package de.siphalor.was.dummy;

import de.siphalor.was.WhatAStorage;
import de.siphalor.was.content.product.Product;
import de.siphalor.was.content.quest.Quest;
import de.siphalor.was.game.Transaction;
import de.siphalor.was.visual.Visual;

public class DummyVisual implements Visual {
	@Override
	public void setup(WhatAStorage whatAStorage) {

	}

	@Override
	public void run() {

	}

	@Override
	public void onScheduleStop() {

	}

	@Override
	public void invalidateI18n() {

	}

	@Override
	public void onBalanceChanged(int budget, Transaction transaction, int totalIncome, int totalLoss) {

	}

	@Override
	public void onQuestAdded(Quest newQuest, boolean canCreateMore) {

	}

	@Override
	public void onQuestRemoved(int index) {

	}

	@Override
	public void onProductSet(int x, int y, int z, Product product) {

	}

	@Override
	public void onProductCleared(int x, int y, int z, Product product) {

	}
}
